pkgs@{
  lib,
  godot ? pkgs.godot_4,
  ...
}:
godot.overrideAttrs (prev: {
  passthru = prev.passthru // {
    withModules =
      modules:
      godot.overrideAttrs (prev: {
        postPatch =
          if prev ? "postPatch" then prev.postPatch else ""
          + (lib.strings.concatLines (
            builtins.map (module:
              ''
                cp -ar ${module.path} modules/${module.name}
                chmod -R u+w -- "modules/${module.name}"
              '') modules
          ));
      });
  };
})
